# grdseamount

Create synthetic seamounts (Gaussian, parabolic, cone or disc, circular or elliptical)

## Synopsis

gmt grdseamount [ intable ] -I increment -R region [ -A[out/in] ] [ -C c|d|g|p ] [ -D unit ] [ -E ] [ -F[flattening] ] [ -G grdfile ] [ -L[cut] ] [ -M list ] [ -N norm ] [ -Q bmode/qmode ] [ -S scale ] [ -T t0[/t1/dt][+l] ] [ -Z level ] [ -V[level] ] [ -bi binary ] [ -e regexp ] [ -f flags ] [ -i flags ] [ -r reg ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

grdseamount will compute the combined shape of multiple synthetic seamounts given their individual shape parameters. We read a list with seamount locations and sizes and can evaluate either Gaussian, parabolic, conical, or disc shapes, which may be circular or elliptical, and optionally truncated. Various scaling options are available to modify the result, including an option to add in a background depth (more complicated backgrounds may be added via grdmath). The input must contain lon, lat, radius, height for each seamount. For elliptical features (-E) we expect lon, lat, azimuth, semi-major, semi-minor, height instead. If flattening is specified (-F) with no value appended then a final column with flattening is expected (cannot be used for plateaus). For temporal evolution of topography the -T option may be used, in which case the data file must have two final columns with the start and stop time of seamount construction. In this case you may choose to write out a cumulative shape or just the increments produced by each time step (see -Q).

## Required Arguments

-I xinc[+e|n][/yinc[+e|n]]

  x_inc [and optionally y_inc] is the grid spacing. Optionally, append a suffix modifier. Geographical (degrees) coordinates: Append m to indicate arc minutes or s to indicate arc seconds. If one of the units e, f, k, M, n or u is appended instead, the increment is assumed to be given in meter, foot, km, Mile, nautical mile or US survey foot, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on PROJ_ELLIPSOID). If y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. All coordinates: If +e is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending +n to the supplied integer argument; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel-registered grid; see GMT File Formats for details. Note: If -R grdfile is used then the grid spacing (and registration) have already been initialized; use -I (and -r) to override the values.

-R xmin/xmax/ymin/ymax[+r][+u unit] (more …)

  Specify the region of interest.

## Optional Arguments

-A[out/in]

  Build a mask grid, append outside/inside values [1/NaN]. Here, height is ignored and -L, -N and -Z are disallowed.

-C

  Select shape function: choose among c (cone), d (disc), g (Gaussian) and p (parabolic) shape [Default is Gaussian].

-D unit

  Append the unit used for horizontal distances in the input file (see Units). Does not apply for geographic data (-f flags) which we convert to km.

-E

  Elliptical data format. We expect the input records to contain lon, lat, azimuth, major, minor, height (with the latter in m) for each seamount. [Default is Circular data format, expecting lon, lat, radius, height].

-F[flattening]

  Seamounts are to be truncated to guyots. Append flattening, otherwise we expect to find it in last input column [no truncation]. Ignored if used with -Cd.

-G grdfile

  Specify the name of the output grid file; see GRID FILE FORMATS below). If -T is set then grdfile must be a filename template that contains a floating point format (C syntax). If the filename template also contains either %s (for unit name) or %c (for unit letter) then we use the corresponding time (in units specified in -T) to generate the individual file names, otherwise we use time in years with no unit.

-L[cut]

  List area, volume, and mean height for each seamount; No grid is created. Optionally, append the noise-floor cutoff level below which we ignore area and volume [0].

-M list

  Write the names of all grids that were created to the text file list. Requires -T.

-N norm

  Normalize grid so maximum grid height equals norm.

-Q bmode/qmode

  Only to be used in conjunction with -T. Append two different modes settings: The bmode determines how we construct the surface. Specify c for cumulative volume through time, or i for incremental volume added for each time slice. The qmode determines the volume flux curve. Give g for a Gaussian volume flux history or l for a linear volume flux history between the start and stop times of each feature.

-S scale

  Sets optional scale factor for radii [1].

-T t0[/t1/dt][+l]

  Specify t0, t1, and time increment (dt) for sequence of calculations [Default is one step, with no time dependency]. For a single specific time, just give start time t0. Default unit is years; append k for kyr and M for Myr. For a logarithmic time scale, append +l and specify n steps instead of dt. Alternatively, give a file with the desired times in the first column (these times may have individual units appended, otherwise we assume year). Note that the grid for t0 (if a range is given) is not written as it is zero and marks the start of the building history.

-Z level

  Set the background depth [0].

-bi[ncols][t] (more …)

  Select native binary format for primary input. [Default is 4 input columns].

-e[~]“pattern” | -e[~]/regexp/[i] (more …)

  Only accept data records that match the given pattern.

-f flags

  Geographic grids (dimensions of longitude, latitude) will be converted to km via a “Flat Earth” approximation using the current ellipsoid parameters.

-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] (more …)

  Skip or produce header record(s). Not used with binary data.

-i cols[+l][+s scale][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-V[level] (more …)

  Select verbosity level [w].

-r[g|p] (more …)

  Set node registration [gridline].

-:[i|o] (more …)

  Swap 1st and 2nd column on input and/or output.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Units

For map distance unit, append unit d for arc degree, m for arc minute, and s for arc second, or e for meter [Default], f for foot, k for km, M for statute mile, n for nautical mile, and u for US survey foot. By default we compute such distances using a spherical approximation with great circles (-jg) using the authalic radius (see PROJ_MEAN_RADIUS). You can use -jf to perform “Flat Earth” calculations (quicker but less accurate) or -je to perform exact geodesic calculations (slower but more accurate; see PROJ_GEODESIC for method used).

## Examples

To compute the incremental loads from two elliptical, truncated Gaussian seamounts being constructed from 3 Ma to 2 Ma and 2.8 M to 1.9 Ma using a linear volumetric production rate, and output an incremental grid every 0.1 Myr from 3 Ma to 1.9 Ma, we can try:

    cat << EOF > t.txt
    #lon lat azimuth, semi-major, semi-minor, height tstart tend
    0   0       -20     120     60      5000    3.0M    2M
    50  80      -40     110     50      4000    2.8M    21.9M
    EOF
    gmt grdseamount -Rk-1024/1022/-1122/924 -I2000 -Gsmt_%3.1f_%s.nc t.txt -T3M/1.9M/0.1M -Qi/l -Dk -E -F0.2 -Cg -Ml.lis

## See Also

gmt.conf, gmt, grdmath, gravfft, gmtflexure